Instalar flatpaks no Ubuntu 20.04

Não consigo instalar nenhum aplicativo em flatpak no Ubuntu 20.04, o download inicia mas de repente ele para e aparece esse erro:

Mas aí você está instalando via .deb, esse erro é no repositório do Spotify, abra um terminal e digite:

sudo apt update && { tput reset; echo Tudo ocorreu bem ;} 

Verfique se a mensagem “Tudo ocorreu bem” aparece

Só uma correção, você está baixando o .DEB do programa (aparece inclusive na mensagem de erro lá em cima), não o Flatpak.

A falha aí é uma instabilidade no servidor do Spotify, isso é algo que tem que ser resolvido por eles.

1 Curtida

Como disseram acima, esta versão que você está baixando é a deb. O Ubuntu não vem com flatpak instalado por padrão, você precisa fazer este procedimento manualmente.

E a loja do Ubuntu não suporta flatpaks, seria necessário instalar a gnome-software OU instalar diretamente do terminal.

1 Curtida

A mensagem “Tudo ocorreu bem” apareceu, mas agora ocorreu outro erro:

1 Curtida

A loja que eu estou utilizando nesses prints é a gnome-software e este erro ocorre somente quando o app é flatpak. Tentei com o gimp também e ele só instala na versão .deb

Cara, né por nada não, mas porque não baixa do site?

Vê a última seção em Spotify for Linux

1 Curtida

Ele seguiu já seguiu essas instruções, tanto que gerou o primeiro erro lá de cima.

O problema é que o cara é muito azarado e tá sempre tentando instalar o Spotify numa hora que tá tendo problema nos servidores.

Nesse caso, só resta o AppImage:

  1. Siga o passo 1 desse tutorial
  2. Rode:
pkg2appimage Spotify
  1. Crie uma pasta chamada “Applications” e mova o AppImage do Spotify pra lá:
mkdir -p "${HOME}/Applications"
cp ./out/Spotify*AppImage "${HOME}/Applications"
  1. Siga esse tutorial

  2. Se quiser, apague a pasta Spotify

Parece contraditório mas essa pasta são apenas os arquivos que são usados pra fazer o AppImage e não o AppImage em si

rm -rfv Spotify

Esse tutorial também utiliza o site do Spotify, vai dar problema do mesmo jeito enquanto o servidor do Spotify estiver instável.

1 Curtida

Ele usa o link direto pro .deb, o problema está no Packages.gz que não está apontando pro arquivo .deb… eu testei antes de postar e ele está baixando normalmente:

DEB=$(wget -q "http://repository.spotify.com/pool/non-free/s/spotify-client/" -O - | grep deb | cut -d ">" -f 2 | cut -d "<" -f 1 | grep amd64.deb | sort --version-sort -r | head -n 1)
wget "http://repository.spotify.com/pool/non-free/s/spotify-client/${DEB}"
1 Curtida